Bug 213114 - xmame and SDLMAME don't work with compiz/desktop effects
xmame and SDLMAME don't work with compiz/desktop effects
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 16:03 EST by Frank Cox
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Cox 2006-10-30 16:03:18 EST
Description of problem:
Tested with: xmame.x11 v0.106 and SDLMAME 0109u2
Neither works with compiz enabled.  Black screen until I hit esc to exit.
Using Intel onboard graphic controller.


Version-Release number of selected component (if applicable):
compiz-0.0.13-0.32.20060817git.fc6


How reproducible:
Every time

Steps to Reproduce:
1.compile xmame.x11 or SDLMAME
2../xmame.x11 pacman
3.
  
Actual results:
Black screen

Expected results:
Pacman game

Additional info:
Hans de Goede (xmame developer) stated this when I asked about it on the xmame
mailing list:
QUOTE
AFAIK compiz is incompatible with lots of stuff, esp opengl apps. Go file a bug
against compiz :)
END OF QUOTE
Comment 1 Matěj Cepl 2007-10-02 17:45:05 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

And, BTW, if you englighten me what actually xmame/SDLMAME is, I would be very
thankful.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 2 Matěj Cepl 2007-12-10 04:23:50 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Matěj Cepl 2008-01-15 09:38:56 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.